<?php
/**
 * @package Quantic
 */

//Return if the first widget area has no widgets
if ( !is_active_sidebar( 'footer-1' ) ) {
	return;
} ?>

<?php //user selected widget columns

	$quantic_widget_num = esc_html(get_theme_mod('quantic_footer_widgets', '4'));
	
	if ($quantic_widget_num == '4') :
		$quantic_col1 ='col-md-3';
		$quantic_col2 ='col-md-3';
		$quantic_col3 ='col-md-3';
		$quantic_col4 ='col-md-3';
	elseif ($quantic_widget_num == '3') :
		$quantic_col1 ='col-md-4';
		$quantic_col2 ='col-md-4';
		$quantic_col3 ='col-md-4';
		
	elseif ($quantic_widget_num == '2') :
		 $quantic_col1 ='col-md-6';
		 $quantic_col2 ='col-md-6';
	else :
		$quantic_col1 ='col-md-12';
	endif;
?>
		
<?php 
	if ( is_active_sidebar( 'footer-1' ) && ( $quantic_widget_num == '4' || $quantic_widget_num == '3' || $quantic_widget_num == '2' || $quantic_widget_num == '1')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($quantic_col1); ?>">
				<?php dynamic_sidebar( 'footer-1'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-2' ) && ( $quantic_widget_num == '4' || $quantic_widget_num == '3' || $quantic_widget_num == '2')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($quantic_col2); ?>">
				<?php dynamic_sidebar( 'footer-2'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-3' ) && ( $quantic_widget_num == '4' || $quantic_widget_num == '3' )) :
		?>
			<div class="widget-column px-3<?php echo esc_attr($quantic_col3); ?>">
				<?php dynamic_sidebar( 'footer-3'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-4' ) && ( $quantic_widget_num == '4' )) :
		?>
			<div class="widget-column px-3<?php echo esc_attr($quantic_col4); ?>">
				<?php dynamic_sidebar( 'footer-4'); ?>
			</div>
		<?php
	endif;
?>